# == Schema Information
#
# Table name: block_reactivate_histories
#
#  id         :bigint           not null, primary key
#  action     :string(4000)
#  created_at :datetime         not null
#  updated_at :datetime         not null
#  block_id   :bigint           not null
#
# Indexes
#
#  index_block_reactivate_histories_on_block_id  (block_id)
#
# Foreign Keys
#
#  fk_rails_...  (block_id => blocks.id) ON DELETE => cascade
#
class BlockReactivateHistory < ApplicationRecord
  belongs_to :block
end
