# == Schema Information
#
# Table name: capabilities
#
#  id         :bigint           not null, primary key
#  name       :string(4000)
#  created_at :datetime         not null
#  updated_at :datetime         not null
#
class Capability < ApplicationRecord
  has_many :capabilities_jobs
  has_many :jobs, through: :capabilities_jobs

  has_many :capability_capability_groups
  has_many :capability_groups, through: :capability_capability_groups
end
