# -*- SkipSchemaAnnotations

module MachineTypes
  module Edgers
    class MeiEdger < Edger
      class << self
        def seed_version
          1
        end

        def display_name
          "MEI-Edger"
        end

        def name
          "mei_edger"
        end

        def image_name
          nil
        end

        def translator_class
          'MeiEdger'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: false,
            process_data: true,
            event: false,
            calibration: false
          }
        end
      end
    end
  end
end

