json.extract! job_state, :id, :job_id, :machine_id, :batch_id, :process, :side, :state, :substate, :comment, :scrap, :scrap_reason, :time, :created_at, :updated_at
json.machine do
  json.partial!("machines/machine", machine: job_state.machine) if job_state.machine
end
json.job do
  json.partial!("jobs/job", job: job_state.job) if job_state.job
end
json.order do
  json.partial!("orders/order", order: job_state.job.order) if job_state.job&.order
end
json.url job_state_url(job_state, format: :json)
