class CreateEvents < ActiveRecord::Migration[6.0]
  def change
    create_table :events do |t|
      t.string :message
      t.integer :event_type
      t.datetime :time
      t.string :machine_sn

      t.timestamps
    end
    add_foreign_key :events, :machines, column: "machine_sn", primary_key: "sn", on_delete: :cascade
    add_index :events, :machine_sn
  end
end
