import {t} from "@lingui/macro";

export const BATCH_RUN_COLORS = {
    FINISHED: '#1a5dad',
    ABORTED: '#ff0000',
    ONGOING: '#888888'
}

export const durationForBatch = (duration: number | undefined) => {
    if(!duration) {
        return t`unknown`;
    }

    // Empty Data Set
    if(duration == -1){
        return ''
    }

    return `${duration} min.`;
}