# == Schema Information
#
# Table name: batch_container_data
#
#  id                 :bigint           not null, primary key
#  name               :string(4000)
#  value              :string(4000)
#  created_at         :datetime         not null
#  updated_at         :datetime         not null
#  batch_container_id :bigint           not null
#
# Indexes
#
#  index_batch_container_data_on_batch_container_id  (batch_container_id)
#
# Foreign Keys
#
#  fk_rails_...  (batch_container_id => batch_containers.id) ON DELETE => cascade
#
class BatchContainerDatum < ApplicationRecord
  belongs_to :batch_container
end
