# == Schema Information
#
# Table name: block_picking_shift_references
#
#  id                 :bigint           not null, primary key
#  block_picking_id   :bigint
#  shift_reference_id :bigint
#
# Indexes
#
#  index_block_picking_shift_references_on_block_picking_id    (block_picking_id)
#  index_block_picking_shift_references_on_shift_reference_id  (shift_reference_id)
#
class BlockPickingShiftReference < ApplicationRecord
  belongs_to :block_picking
  belongs_to :shift_reference

  def destroy
    super
    shift = ShiftReference.find(self.shift_reference_id)
    shift.destroy if shift.block_pickings.count == 0
    true
  end
end