module ArchiveHelpers
  extend ActiveSupport::Concern

  def data_expired_date
    Time.zone.now - ArchiveHelpers.number_of_days_before_archive
  end

  def time_exists_in_primary?(time)
    data_expired_date < time
  end

  def self.number_of_days_before_archive
    32.days
  end
end