# == Schema Information
#
# Table name: job_process_parameters
#
#  id             :bigint           not null, primary key
#  name           :string(4000)
#  value          :string(4000)
#  created_at     :datetime         not null
#  updated_at     :datetime         not null
#  job_process_id :bigint           not null
#
# Indexes
#
#  index_job_process_parameters_on_job_process_id  (job_process_id)
#
# Foreign Keys
#
#  fk_rails_...  (job_process_id => job_processes.id) ON DELETE => cascade
#
class JobProcessParameter < ApplicationRecord
  include Pushable

  belongs_to :job_process, touch: true
end
