# -*- SkipSchemaAnnotations

module MachineTypes
  module BoxCoaters
    class Mc280X < BoxCoater
      class << self
        def seed_version
          1
        end

        def display_name
          "MC-280-X"
        end

        def name
          "mc_280_x"
        end

        def image_name
          'mc_280_x.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end
      end
    end
  end
end

