# -*- SkipSchemaAnnotations

module MachineTypes
  module Generators
    class VftOrbit < Generator
      include AbortFilterMachineTypes::VftOrbit

      class << self
        def seed_version
          1
        end

        def display_name
          "VFT-Orbit"
        end

        def name
          "vft_orbit"
        end

        def image_name
          "vft_orbit.png"
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end

        def abort_filters
          abort_filters_data
        end
      end
    end
  end
end

