json.componentList do
  json.cache! @jobs do
    json.cache_collection! @jobs do |job|
      json.id job.id
      json.name job.name
      json.description job.description
      json.sequenceNumber job.sequence_number
      json.importKey nil # TODO: find out what this is
      json.statusType job.last_status_type
      json.componentType nil # TODO: find out what this is
      json.partNumber nil # TODO: find out where to get this
      json.workflowState nil # TODO: this seems to be on the order?
      json.firstProcessingTime nil # TODO: find out where to get this
      json.lastProcessingTime nil # TODO: find out where to get this
    end
  end
end

json.nextOffset Job.next_offset(query: @jobs, limit: @limit, offset: @offset)
