class CreateEerEvent < ActiveRecord::Migration[6.1]
  def change
    create_table :eer_events do |t|
      t.string :event_type
      t.datetime :start_time
      t.datetime :resolved_time
      t.boolean :resolved, default: false
      t.string :operator_note
      t.string :eer_category
      t.string :recipe
      t.string :batch_id
      t.integer :lens_number
      t.integer :empty_holes
      t.string :crystal_life

      t.belongs_to :machine

      t.timestamps
    end
  end
end
