class AddDeleteKpiCacheCountToDataArchiveSettings < ActiveRecord::Migration[6.1]
  def up
    add_column :data_archive_settings, :delete_count_kpi_cache, :integer, default: 4
    execute("update data_archive_settings set delete_count_kpi_cache=4")
  end

  def down
    remove_column :data_archive_settings, :delete_count_kpi_cache
  end
end
